## org.apache.poi.hpbf.model.qcbits
Class QCPLCBit.Type4

    java.lang.Object
      org.apache.poi.hpbf.model.qcbits.QCBit
          org.apache.poi.hpbf.model.qcbits.QCPLCBit
              org.apache.poi.hpbf.model.qcbits.QCPLCBit.Type4

Enclosing class:
  QCPLCBit

    public static class QCPLCBit.Type4

extends QCPLCBit

Type 4 is quite common. They have 8 bytes of pre-data, then 2x 4 byte values.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hpbf.model.qcbits.QCPLCBit
`QCPLCBit.Type0, QCPLCBit.Type12, QCPLCBit.Type4, QCPLCBit.Type8`

Field Summary

Fields inherited from class org.apache.poi.hpbf.model.qcbits.QCPLCBit
`numberOfPLCs, plcValA, plcValB, preData, typeOfPLCS`

Fields inherited from class org.apache.poi.hpbf.model.qcbits.QCBit
`bitType, data, dataOffset, optA, optB, optC, thingType`

Method Summary

Methods inherited from class org.apache.poi.hpbf.model.qcbits.QCPLCBit
`createQCPLCBit, getNumberOfPLCs, getPlcValA, getPlcValB, getPreData, getTypeOfPLCS`

Methods inherited from class org.apache.poi.hpbf.model.qcbits.QCBit
`getBitType, getData, getDataOffset, getLength, getOptA, getOptB, getOptC, getThingType, setDataOffset, setOptA, setOptB, setOptC`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.